Test suite: remove indentation of messages

This commit is contained in:
Alexander Barton 2012-09-24 22:25:58 +02:00
parent c9d166747d
commit 8bede388af
4 changed files with 12 additions and 12 deletions

View File

@ -12,7 +12,7 @@ else
id="1"
fi
echo_n " starting server ${id} ..."
echo_n "starting server ${id} ..."
# remove old logfiles, if this is the first server (ID 1)
[ "$id" = "1" ] && rm -rf logs *.log

View File

@ -12,7 +12,7 @@ else
id="1"
fi
echo_n " stopping server ${id} ..."
echo_n "stopping server ${id} ..."
# stop test-server ...
pid=`./getpid.sh T-ngircd${id}`

View File

@ -27,15 +27,15 @@ name=`basename $0`
# test for required external tools
type expect > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"expect\" not found."; exit 77
echo "${name}: \"expect\" not found."; exit 77
fi
type telnet > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"telnet\" not found."; exit 77
echo "${name}: \"telnet\" not found."; exit 77
fi
# hello world! :-)
echo " stressing server with $CLIENTS clients (be patient!):"
echo "stressing server with $CLIENTS clients (be patient!):"
# read in functions
. ${srcdir}/functions.inc
@ -50,7 +50,7 @@ while [ ${no} -lt $CLIENTS ]; do
done
# run first script and check if it succeeds
echo_n " checking stress script ..."
echo_n "checking stress script ..."
expect tests/0.e > logs/stress-0.log 2> /dev/null
if [ $? -ne 0 ]; then
echo " failure!"
@ -64,12 +64,12 @@ while [ ${no} -lt $CLIENTS ]; do
expect tests/${no}.e > logs/stress-${no}.log 2> /dev/null &
no=`expr ${no} + 1`
echo " started client $no/$CLIENTS."
echo "started client $no/$CLIENTS."
[ $MAX -gt 0 ] && $srcdir/wait-tests.sh $MAX
done
echo_n " waiting for clients to complete: ."
echo_n "waiting for clients to complete: ."
touch logs/check-idle.log
while true; do
expect ${srcdir}/check-idle.e >> logs/check-idle.log; res=$?

View File

@ -18,7 +18,7 @@ test=`echo ${name} | cut -d '.' -f 1`
[ -d logs ] || mkdir logs
if [ ! -r "$test" ]; then
echo " ${name}: test \"$test\" not found!"; exit 77
echo "${name}: test \"$test\" not found!"; exit 77
exit 1
fi
@ -27,14 +27,14 @@ fi
type expect > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"expect\" not found."; exit 77
echo "${name}: \"expect\" not found."; exit 77
fi
type telnet > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"telnet\" not found."; exit 77
echo "${name}: \"telnet\" not found."; exit 77
fi
echo_n " running ${test} ..."
echo_n "running ${test} ..."
expect ${srcdir}/${test}.e > logs/${test}.log 2>&1; r=$?
[ $r -eq 0 ] && echo " ok." || echo " failure!"